Browse Source

[issue #25] /var/run is /run

Maxime Alves LIRMM@home 3 years ago
parent
commit
4411542736
1 changed files with 3 additions and 3 deletions
  1. 3
    3
      config/pre-exec.sh

+ 3
- 3
config/pre-exec.sh View File

@@ -1,15 +1,15 @@
1 1
 #!/bin/sh
2 2
 
3 3
 # If directory exists don't run the script
4
-[ ! -d /var/run/pyheatpump ] && mkdir /var/run/pyheatpump || exit 0;
4
+[ ! -d /run/pyheatpump ] && mkdir /run/pyheatpump || exit 0;
5 5
 
6 6
 # cd /opt/pyheatpump git clone https://git.yannweb.net/cli/pyHeatpump.git
7 7
 [ ! -d /opt/pyHeatpump/ ] && echo "Missing /opt/pyheatpump/" && exit 1;
8 8
 
9 9
 # Database initialization
10
-sqlite3 -init /opt/pyHeatpump/pyheatpump.sql /var/run/pyheatpump/pyheatpump.sqlite3 \
10
+sqlite3 -init /opt/pyHeatpump/pyheatpump.sql /run/pyheatpump/pyheatpump.sqlite3 \
11 11
     || (echo "Failed to initialize database" && exit 1);
12 12
 
13 13
 # Default configuration setup
14
-cp /opt/pyHeatpump/config/pyheatpump.prod.ini.dist /var/run/pyheatpump/pyheatpump.ini \
14
+cp /opt/pyHeatpump/config/pyheatpump.prod.ini.dist /run/pyheatpump/pyheatpump.ini \
15 15
     || (echo "Failed to initialized configuration file" && exit 1);

Loading…
Cancel
Save